#!/bin/sh
DIR=$1	#Output filename
POLYGON=$2	#Crop Window

BOX=$(polygonToBox.py "$POLYGON")


#cd $DIR
#ls *.jp2 | parallel --jobs 4 gdal_translate -projwin $BOX -projwin_srs WGS84 -ot Byte -of JPEG {} {}_

#DIRNAME=$(echo $DIR | cut -d"/" -f1)
#echo $DIRNAME
#if [  ! -e ../$DIRNAME"TCI_10m_cropedmerged.tif"  ]; then
#	echo "gdal_merge.py -o ../cropmerge/"$DIRNAME"TCI_10m_cropedmerged.tif" $(ls *TCI_10m.jp2_)
#	gdal_merge.py -o ../cropmerge/$DIRNAME"TCI_10m_cropedmerged.tif" $(ls *TCI_10m.jp2_)
#else
#	echo PASSING ../cropmerge/$DIRNAME"TCI_10m_cropedmerged.tif" FOUND
#fi
#cd ..



##------------------------------------------------------------------------------
cd $DIR
DIRNAME=$(echo $DIR | cut -d"/" -f1)
echo $DIRNAME
if [  ! -e $DIRNAME"TCI_10m_merged.tif"  ]; then
	echo "gdal_merge.py -o "$DIRNAME"TCI_10m_merged.tif" $(ls *TCI_10m.jp2)
	gdal_merge.py -o $DIRNAME"TCI_10m_merged.tif" $(ls *TCI_10m.jp2)
else
	echo PASSING $DIRNAME"TCI_10m_merged.tif" FOUND
fi

gdal_translate -projwin $BOX -projwin_srs WGS84 -ot Byte -of JPEG $DIRNAME"TCI_10m_merged.tif" ../mergecrop/$DIRNAME"TCI_10m_mergedcroped.tif"

cd ..
#	gdal_merge.py -o ../$DIRNAME".tif" $(ls *TCI_10m.jp2)

#if [  ! -e $dir".jp2"  ]; then
#	gdal_translate -projwin $BOX -projwin_srs WGS84 -ot Byte -of JPEG $dir".tif" $dir".jp2"
#fi

#rasterWkt.py "$POLYGON" $dir.jp2 $dir"_p.tif"


#cd $DIR 
find . -name *.xml -type f -delete


